# Ogre::BillboardSet::SortByDistanceFunctor Struct Reference

Sort by distance functor. More...

`#include <OgreBillboardSet.h>`

List of all members.

## Public Member Functions

| SortByDistanceFunctor (const Vector3 &pos)
float | operator() (Billboard *bill) const

## Public Attributes

Vector3 | sortPos
| Position to sort in.

## Detailed Description

Sort by distance functor.

Definition at line 270 of file OgreBillboardSet.h.

## Constructor & Destructor Documentation

Ogre::BillboardSet::SortByDistanceFunctor::SortByDistanceFunctor | ( | const Vector3 & | pos | ) |

## Member Function Documentation

float Ogre::BillboardSet::SortByDistanceFunctor::operator() | ( | Billboard * | bill | ) | const

## Member Data Documentation

Vector3 Ogre::BillboardSet::SortByDistanceFunctor::sortPos

Position to sort in.

Definition at line 273 of file OgreBillboardSet.h.

The documentation for this struct was generated from the following file:

- OgreBillboardSet.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:20 2008